Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/ProcessControl.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/ProcessControl.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/ProcessControl.cs	(revision 51)
@@ -0,0 +1,1141 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Text;
+using System.Windows.Forms;
+using System.Collections;
+using System.Linq;
+using System.Diagnostics;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.Master;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    partial class FrmMaterialReturnEntry
+    {
+        /// <summary>
+        /// 自プロセスの番号を持つ
+        /// </summary>
+        private static int s_CurrentProcessNo = (int)ClsExcute.ProcessExecuteNo.MaterialReturnEntry;
+
+        #region プロセスコンテキストメニュー変数
+        /// <summary>
+        /// プロセスコンテキストメニュー
+        /// </summary>
+        private ContextMenuStrip m_ProcessContextMenuStrip;
+        #endregion
+
+        #region 他プロセスフォーム配列変数
+        /// <summary>
+        /// 他プロセスフォーム配列
+        /// </summary>
+        //private Form[] ClsExcute.SubFormHandleList = null;
+        #endregion
+
+        #region 別プロセス移動メニュー作成
+        /// <summary>
+        /// 別プロセス移動メニュー作成
+        /// </summary>
+        private void CreateProcessContextMenu(bool bSubForm)
+        {
+            try
+            {
+                // メニュー一覧を作成する
+                m_ProcessContextMenuStrip = new ContextMenuStrip();
+
+                // メニューのセット
+                UpDateProcessContextMenu(bSubForm);
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 別プロセス移動メニュー更新
+        /// <summary>
+        /// 別プロセス移動メニュー更新
+        /// </summary>
+        private void UpDateProcessContextMenu(bool bSubForm = false)
+        {
+            try
+            {
+                // 起動プロセスの一案を作成する
+                List<KeyValuePair<int, string>> ProcList = new List<KeyValuePair<int, string>>();
+                // 工事番号セット
+                ClsProcessExist.ConstructionCode = m_ConstructionCode;
+                // リスト取得
+                ClsProcessExist.GetProcessList(ref ProcList, s_CurrentProcessNo);
+
+                // メニュー一覧を作成する
+                m_ProcessContextMenuStrip.Items.Clear();
+
+                // メニューデータのセット
+                int icnt = 0;
+                foreach (KeyValuePair<int, string> CurRec in ProcList)
+                {
+                    // 自プロセスは処理しない
+                    if (CurRec.Key == s_CurrentProcessNo) continue;
+
+                    // 総務部所属者はデータ参照出来る処理がある
+                    if (CommonMotions.LoginUserData.DepartmentCode == CommonDefine.s_GeneralAffairsDevision)
+                    {
+                        if (!ClsSecurityPermission.PermitGeneralAffairsDevision(CurRec.Key)) continue;
+                    }
+
+                    //イベントの登録
+                    EventHandler handle = null;
+                    switch (CurRec.Key)
+                    {
+                        case (int)ClsExcute.ProcessExecuteNo.MainMenu:                  //  0:メニュー
+                            handle = ProcessExecute_MainMenu;
+                            break;
+                        case (int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo:      //  2:工事情報入力
+                            handle = ProcessExecute_ConstructionBaseInfo;
+                            break;
+                        case (int)ClsExcute.ProcessExecuteNo.EstimateInput:             //  3:積算見積入力
+                            handle = ProcessExecute_EstimateInput;
+                            break;
+                        case (int)ClsExcute.ProcessExecuteNo.EstimatePrint:             //  4:積算見積書印刷
+                            handle = ProcessExecute_EstimatePrint;
+                            break;
+                        case (int)ClsExcute.ProcessExecuteNo.EstimateBudget:            //  5:積算予算書入力
+                            handle = ProcessExecute_EstimateBudget;
+                            break;
+                        case (int)ClsExcute.ProcessExecuteNo.ConstructionBudget:        //  6:工事予算書入力
+                            handle = ProcessExecute_ConstructionBudget;
+                            break;
+                        case (int)ClsExcute.ProcessExecuteNo.ConstructionCopyList:      //  8:工事案件コピー機能
+                            handle = ProcessExecute_ConstructionCopyList;
+                            break;
+                        case (int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry:        //  9:注文書入力
+                            handle = ProcessExecute_PurchaseOrderEntry;
+                            break;
+                        case (int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint:        // 10:注文書印刷
+                            handle = ProcessExecute_PurchaseOrderPrint;
+                            break;
+                        case (int)ClsExcute.ProcessExecuteNo.ConstructionLedger:        // 12:工事詳細台帳
+                            handle = ProcessExecute_ConstructionLedger;
+                            break;
+                        case (int)ClsExcute.ProcessExecuteNo.TAndPCosts:                // 13:交通費及び購入品入力
+                            handle = ProcessExecute_TAndPCosts;
+                            break;
+                    }
+                    // 起動関数のセットが無ければ処理しない
+                    if (handle == null) continue;
+
+                    // 区切り線
+                    if (icnt != 0) m_ProcessContextMenuStrip.Items.Add("-");
+                    // 行のセット
+                    ToolStripMenuItem tsmItem = new ToolStripMenuItem(CurRec.Value, null, handle);
+                    m_ProcessContextMenuStrip.Items.Add(tsmItem);
+                    icnt++;
+                }
+                // コンテキストメニューセット
+                button3.ContextMenuStrip = m_ProcessContextMenuStrip;
+                m_ProcessContextMenuStrip.Show(button3, new Point(0, 0));
+                m_ProcessContextMenuStrip.Close();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 別プロセス起動ボタン
+        /// <summary>
+        /// 別プロセス起動ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnOtherProc_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // ボタンの真上にメニューを表示する
+                int h = m_ProcessContextMenuStrip.Height * -1;
+                m_ProcessContextMenuStrip.Show(button3, new Point(0, h));
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 終了時処理
+        /// <summary>
+        /// 終了時サブフォームクローズ
+        /// </summary>
+        private void TerminatingProcess()
+        {
+            try
+            {
+                // フォームがCloseされていなければクローズする
+                for (int i = 0; i < ClsExcute.SubFormHandleList.Length; i++)
+                {
+                    PreserveSubFormHandle Handle = ClsExcute.SubFormHandleList[i];
+
+                    // 自分が起動したもの以外は処理しない
+                    if (Handle.ProcessNo != s_CurrentProcessNo) continue;
+
+                    // 自分は処理しない
+                    if (i == s_CurrentProcessNo)
+                    {
+                        ClsExcute.SubFormHandleList[i].SubFormHandle = null;
+                        ClsExcute.SubFormHandleList[i].ProcessNo = (int)ClsExcute.ProcessExecuteNo.MainMenu;
+                        continue;
+                    }
+
+                    // 起動されて無ければ処理しない
+                    if (Handle.SubFormHandle == null) continue;
+
+                    // 画面クローズ
+                    Handle.SubFormHandle.Close();
+                    ClsExcute.SubFormHandleList[i].SubFormHandle = null;
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 次の起動が申請画面かどうかの判定
+        /// <summary>
+        /// 次の起動が申請画面かどうかの判定
+        /// </summary>
+        /// <returns></returns>
+        private bool judgmentApprovalScreen()
+        {
+            try
+            {
+                // プロセス起動テーブルに申請画面が設定されている場合はtrue
+                int NextProcess = ClsExcute.ProcControlPara[ClsExcute.GetNowProcessPoint()].ProcNo;
+                if (NextProcess == (int)ClsExcute.SubFormExecuteNo.ApprovalScreen) return true;
+
+                return false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region ---------- 他プロセス起動ハンドラ群　START
+        #region 一気にメニューへ戻る
+        /// <summary>
+        /// 一気にメニューへ戻る
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void ProcessExecute_MainMenu(object sender, EventArgs e)
+        {
+            try
+            {
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 起動テーブルをクリアする
+                ClsExcute.ClearProcess();
+
+                // メニューへ戻るフラグON　
+                m_ParentEnd = true;
+
+                // 終了処理OFF
+                m_CloseingProcessOn = false;
+
+                // 自フォーム終了
+                this.Close();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 工事情報入力
+        /// <summary>
+        /// 工事情報入力
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void ProcessExecute_ConstructionBaseInfo(object sender, EventArgs e)
+        {
+            try
+            {
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo;
+                // フォームがあれば最前面へ
+                FrmConstructionBaseInfo frm = (FrmConstructionBaseInfo)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                if (frm != null)
+                {
+                    frm.Activate();
+                    return;
+                }
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 工事情報入力起動
+                frm = new FrmConstructionBaseInfo();
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+                frm.ConstructionCode = m_ConstructionCode;
+                frm.SubForm = true;
+                frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                frm.FormClosed += new FormClosedEventHandler(FrmConstructionBaseInfoClosed);
+                frm.Show();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 積算見積書入力
+        /// <summary>
+        /// 積算見積書入力
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void ProcessExecute_EstimateInput(object sender, EventArgs e)
+        {
+            try
+            {
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimateInput;
+                // フォームがあれば最前面へ
+                FrmEstimateInput frm = (FrmEstimateInput)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                if (frm != null)
+                {
+                    frm.Activate();
+                    return;
+                }
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 積算見積書入力起動
+                frm = new FrmEstimateInput();
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+                frm.ConstructionCode = m_ConstructionCode;
+                frm.SubForm = true;
+                frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                frm.FormClosed += new FormClosedEventHandler(FrmEstimateInputClosed);
+                frm.Show();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 積算見積書印刷
+        /// <summary>
+        /// 積算見積書印刷
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void ProcessExecute_EstimatePrint(object sender, EventArgs e)
+        {
+            try
+            {
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimatePrint;
+                // フォームがあれば最前面へ
+                FrmEstimatePrint frm = (FrmEstimatePrint)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                if (frm != null)
+                {
+                    frm.Activate();
+                    return;
+                }
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 積算見積書印刷起動
+                frm = new FrmEstimatePrint();
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+                frm.ConstructionCode = m_ConstructionCode;
+                frm.SubForm = true;
+                frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                frm.FormClosed += new FormClosedEventHandler(FrmEstimatePrintClosed);
+                frm.Show();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 積算予算書入力
+        /// <summary>
+        /// 積算予算書入力
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void ProcessExecute_EstimateBudget(object sender, EventArgs e)
+        {
+            try
+            {
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimateBudget;
+                // フォームがあれば最前面へ
+                FrmEstimateBudget frm = (FrmEstimateBudget)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                if (frm != null)
+                {
+                    frm.Activate();
+                    return;
+                }
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 積算予算書入力起動
+                frm = new FrmEstimateBudget();
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+                frm.ConstructionCode = m_ConstructionCode;
+                frm.SubForm = true;
+                frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                frm.FormClosed += new FormClosedEventHandler(FrmEstimateBudgetClosed);
+                frm.Show();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 工事予算書入力
+        /// <summary>
+        /// 工事予算書入力
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void ProcessExecute_ConstructionBudget(object sender, EventArgs e)
+        {
+            try
+            {
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.ConstructionBudget;
+                // フォームがあれば最前面へ
+                FrmConstructionBudget frm = (FrmConstructionBudget)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                if (frm != null)
+                {
+                    frm.Activate();
+                    return;
+                }
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 工事予算書入力起動
+                frm = new FrmConstructionBudget();
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+                frm.ConstructionCode = m_ConstructionCode;
+                frm.SubForm = true;
+                frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                frm.FormClosed += new FormClosedEventHandler(FrmConstructionBudgetClosed);
+                frm.Show();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 工事案件コピー機能
+        /// <summary>
+        /// 工事案件コピー機能
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void ProcessExecute_ConstructionCopyList(object sender, EventArgs e)
+        {
+            try
+            {
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.ConstructionCopyList;
+                // フォームがあれば最前面へ
+                FrmNewOrContinueCopy frm = (FrmNewOrContinueCopy)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                if (frm != null)
+                {
+                    frm.Activate();
+                    return;
+                }
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 工事案件コピー起動
+                frm = new FrmNewOrContinueCopy();
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+                frm.ConstructionCode = m_ConstructionCode;
+                frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                frm.FormClosed += new FormClosedEventHandler(FrmNewOrContinueCopyClosed);
+                frm.Show();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 注文書入力
+        /// <summary>
+        /// 注文書入力
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void ProcessExecute_PurchaseOrderEntry(object sender, EventArgs e)
+        {
+            try
+            {
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry;
+                // フォームがあれば最前面へ
+                FrmPurchaseOrderEntry frm = (FrmPurchaseOrderEntry)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                if (frm != null)
+                {
+                    frm.Activate();
+                    return;
+                }
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 注文書入力起動
+                frm = new FrmPurchaseOrderEntry();
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+                frm.ConstructionCode = m_ConstructionCode;
+                frm.SubForm = true;
+                frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                frm.FormClosed += new FormClosedEventHandler(FrmPurchaseOrderEntryClosed);
+                frm.Show();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 注文書印刷
+        /// <summary>
+        /// 注文書印刷
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void ProcessExecute_PurchaseOrderPrint(object sender, EventArgs e)
+        {
+            try
+            {
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint;
+                // フォームがあれば最前面へ
+                FrmPurchaseOrderPrint frm = (FrmPurchaseOrderPrint)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                if (frm != null)
+                {
+                    frm.Activate();
+                    return;
+                }
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 注文書印刷起動
+                frm = new FrmPurchaseOrderPrint();
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+                frm.ConstructionCode = m_ConstructionCode;
+                frm.SubForm = true;
+                frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                frm.FormClosed += new FormClosedEventHandler(FrmPurchaseOrderPrintClosed);
+                frm.Show();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 工事詳細台帳
+        /// <summary>
+        /// 工事詳細台帳
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void ProcessExecute_ConstructionLedger(object sender, EventArgs e)
+        {
+            try
+            {
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.ConstructionLedger;
+                // フォームがあれば最前面へ
+                FrmConstructionLedger frm = (FrmConstructionLedger)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                if (frm != null)
+                {
+                    frm.Activate();
+                    return;
+                }
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 工事詳細台帳入力起動
+                frm = new FrmConstructionLedger();
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+                frm.ConstructionCode = ClsProcessExist.GetParentConstrCode(m_ConstructionCode);
+                frm.SubForm = true;
+                frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                frm.FormClosed += new FormClosedEventHandler(FrmConstructionLedgerClosed);
+                frm.Show();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 交通費及び購入品等入力
+        /// <summary>
+        /// 交通費及び購入品等入力
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void ProcessExecute_TAndPCosts(object sender, EventArgs e)
+        {
+            try
+            {
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.TAndPCosts;
+                // フォームがあれば最前面へ
+                FrmTAndPCosts frm = (FrmTAndPCosts)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                if (frm != null)
+                {
+                    frm.Activate();
+                    return;
+                }
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 交通費及び購入品等入力起動
+                frm = new FrmTAndPCosts();
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+                frm.ConstructionCode = m_ConstructionCode;
+                frm.SubForm = true;
+                frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                frm.FormClosed += new FormClosedEventHandler(FrmTAndPCostsClosed);
+                frm.Show();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #endregion // ---------- 他プロセス起動ハンドラ群　END
+
+        #region ---------- 他プロセス終了ハンドラ群　START
+        #region 工事情報入力のクローズを取得する
+        /// <summary>
+        /// 工事情報入力のクローズを取得する
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmConstructionBaseInfoClosed(object sender, FormClosedEventArgs e)
+        {
+            try
+            {
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo;
+                FrmConstructionBaseInfo frm = (FrmConstructionBaseInfo)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                bool ThisEnd = frm.ParentEnd;
+                bool DataChange = frm.DataChenge;
+
+                // ハンドルクリア
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle.Dispose();
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = null;
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = (int)ClsExcute.ProcessExecuteNo.MainMenu;
+
+                // メニューへ戻るの選択
+                if (ThisEnd)
+                {
+                    // 終了処理OFF
+                    m_CloseingProcessOn = false;
+                    this.Close();
+                }
+                else
+                {
+                    this.Activate();
+                    // データ変更がある場合は再表示
+                    if (DataChange)
+                    {
+                        //GetBaseInfoData();
+                      //  SetConstructorCode();
+                      //  if (m_ConstructionBaseInfo.ConstructionPeriod >= 16) GetExpensesList();
+                        InitDataLoad();
+                    }
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 積算見積入力のクローズを取得する
+        /// <summary>
+        /// 積算見積入力のクローズを取得する
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmEstimateInputClosed(object sender, FormClosedEventArgs e)
+        {
+            try
+            {
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimateInput;
+                FrmEstimateInput frm = (FrmEstimateInput)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                bool ThisEnd = frm.ParentEnd;
+
+                // ハンドルクリア
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle.Dispose();
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = null;
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = (int)ClsExcute.ProcessExecuteNo.MainMenu;
+
+                // メニューへ戻るの選択
+                if (ThisEnd)
+                {
+                    // 申請画面が設定されている場合は親も終わらせる
+                    if (judgmentApprovalScreen()) m_ParentEnd = true;
+
+                    // 終了処理OFF
+                    m_CloseingProcessOn = false;
+                    this.Close();
+                }
+                else
+                {
+                    UpDateProcessContextMenu();
+                    this.Activate();
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 積算見積印刷のクローズを取得する
+        /// <summary>
+        /// 積算見積印刷のクローズを取得する
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmEstimatePrintClosed(object sender, FormClosedEventArgs e)
+        {
+            try
+            {
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimatePrint;
+                FrmEstimatePrint frm = (FrmEstimatePrint)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                bool ThisEnd = frm.ParentEnd;
+                
+                // ハンドルクリア
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle.Dispose();
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = null;
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = (int)ClsExcute.ProcessExecuteNo.MainMenu;
+
+                // メニューへ戻るの選択
+                if (ThisEnd)
+                {
+                    // 終了処理OFF
+                    m_CloseingProcessOn = false;
+                    this.Close();
+                }
+                else
+                {
+                    UpDateProcessContextMenu();
+                    this.Activate();
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 積算予算書入力のクローズを取得する
+        /// <summary>
+        /// 積算予算書入力のクローズを取得する
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmEstimateBudgetClosed(object sender, FormClosedEventArgs e)
+        {
+            try
+            {
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimateBudget;
+                FrmEstimateBudget frm = (FrmEstimateBudget)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                bool ThisEnd = frm.ParentEnd;
+
+                // ハンドルクリア
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle.Dispose();
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = null;
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = (int)ClsExcute.ProcessExecuteNo.MainMenu;
+
+                // メニューへ戻るの選択
+                if (ThisEnd)
+                {
+                    // 申請画面が設定されている場合は親も終わらせる
+                    if (judgmentApprovalScreen()) m_ParentEnd = true;
+
+                    // 終了処理OFF
+                    m_CloseingProcessOn = false;
+                    this.Close();
+                }
+                else
+                {
+                    UpDateProcessContextMenu();
+                    this.Activate();
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 工事予算書入力のクローズを取得する
+        /// <summary>
+        /// 工事予算書入力のクローズを取得する
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmConstructionBudgetClosed(object sender, FormClosedEventArgs e)
+        {
+            try
+            {
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.ConstructionBudget;
+                FrmConstructionBudget frm = (FrmConstructionBudget)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                bool ThisEnd = frm.ParentEnd;
+
+                // ハンドルクリア
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle.Dispose();
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = null;
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = (int)ClsExcute.ProcessExecuteNo.MainMenu;
+
+                // メニューへ戻るの選択
+                if (ThisEnd)
+                {
+                    // 申請画面が設定されている場合は親も終わらせる
+                    if (judgmentApprovalScreen()) m_ParentEnd = true;
+
+                    // 終了処理OFF
+                    m_CloseingProcessOn = false;
+                    this.Close();
+                }
+                else
+                {
+                    UpDateProcessContextMenu();
+                    this.Activate();
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 工事案件コピー機能のクローズを取得する
+        /// <summary>
+        /// 工事案件コピー機能のクローズを取得する
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmNewOrContinueCopyClosed(object sender, FormClosedEventArgs e)
+        {
+            try
+            {
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.ConstructionCopyList;
+                // プロセス番号が違うので注意！！
+                FrmNewOrContinueCopy frm = (FrmNewOrContinueCopy)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+
+                // 戻り値取得
+                int ConstructionCode = frm.ConstructionCode;
+                bool bNowConstruction = frm.NewConstruction;
+
+                // ハンドルクリア
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle.Dispose();
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = null;
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = (int)ClsExcute.ProcessExecuteNo.MainMenu;
+
+                int NowPoint = ClsExcute.GetNowProcessPoint();
+                // 現在設定値クリア
+                ClsExcute.ClearExecParameter(NowPoint);
+                // 工事番号変更
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(ConstructionCode);
+                // コピー作成データフラグセット
+                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(true);
+
+                this.Activate();
+
+                // 終了処理フラグOff
+                m_CloseingProcessOn = false;
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 注文書入力クローズを取得する
+        /// <summary>
+        /// 注文書入力クローズを取得する
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmPurchaseOrderEntryClosed(object sender, FormClosedEventArgs e)
+        {
+            try
+            {
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry;
+                FrmPurchaseOrderEntry frm = (FrmPurchaseOrderEntry)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                bool ThisEnd = frm.ParentEnd;
+
+                // ハンドルクリア
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle.Dispose();
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = null;
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = (int)ClsExcute.ProcessExecuteNo.MainMenu;
+
+                // メニューへ戻るの選択
+                if (ThisEnd)
+                {
+                    // 申請画面が設定されている場合は親も終わらせる
+                    if (judgmentApprovalScreen()) m_ParentEnd = true;
+
+                    // 終了処理OFF
+                    m_CloseingProcessOn = false;
+                    this.Close();
+                }
+                else
+                {
+                    UpDateProcessContextMenu();
+                    this.Activate();
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 注文書印刷クローズを取得する
+        /// <summary>
+        /// 注文書印刷クローズを取得する
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmPurchaseOrderPrintClosed(object sender, FormClosedEventArgs e)
+        {
+            try
+            {
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint;
+                FrmPurchaseOrderEntry frm = (FrmPurchaseOrderEntry)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                bool ThisEnd = frm.ParentEnd;
+
+                // ハンドルクリア
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle.Dispose();
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = null;
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = (int)ClsExcute.ProcessExecuteNo.MainMenu;
+
+                // メニューへ戻るの選択
+                if (ThisEnd)
+                {
+                    // 終了処理OFF
+                    m_CloseingProcessOn = false;
+                    this.Close();
+                }
+                else
+                {
+                    UpDateProcessContextMenu();
+                    this.Activate();
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 工事詳細台帳のクローズを取得する
+        /// <summary>
+        /// 工事詳細台帳のクローズを取得する
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmConstructionLedgerClosed(object sender, FormClosedEventArgs e)
+        {
+            try
+            {
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.ConstructionLedger;
+                FrmConstructionLedger frm = (FrmConstructionLedger)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                bool ThisEnd = frm.ParentEnd;
+
+                // ハンドルクリア
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle.Dispose();
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = null;
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = (int)ClsExcute.ProcessExecuteNo.MainMenu;
+
+                // メニューへ戻るの選択
+                if (ThisEnd)
+                {
+                    // 終了処理OFF
+                    m_CloseingProcessOn = false;
+                    this.Close();
+                }
+                else
+                {
+                    UpDateProcessContextMenu();
+                    this.Activate();
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 交通費及び購入品等入力のクローズを取得する
+        /// <summary>
+        /// 交通費及び購入品等入力のクローズを取得する
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmTAndPCostsClosed(object sender, FormClosedEventArgs e)
+        {
+            try
+            {
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.TAndPCosts;
+                FrmTAndPCosts frm = (FrmTAndPCosts)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                bool ThisEnd = frm.ParentEnd;
+
+                // ハンドルクリア
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle.Dispose();
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = null;
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = (int)ClsExcute.ProcessExecuteNo.MainMenu;
+
+                // メニューへ戻るの選択
+                if (ThisEnd)
+                {
+                    // 終了処理OFF
+                    m_CloseingProcessOn = false;
+                    this.Close();
+                }
+                else
+                {
+                    UpDateProcessContextMenu();
+                    this.Activate();
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #endregion // ---------- 他プロセス終了ハンドラ群　END
+
+    }
+}
